/*  Author: Tz-Yang Tang
 */

public class PerspectType 
{
	String name;   // used in hash table
	
    float coord_longitude;
    float coord_latitude;
    String coord_elev;
        
    double range;
    float tilt;
    float heading;
    boolean set;
    
    public void SetPersp(){
		set = true;
    	} 	
    	
    public boolean BeenSet(){
		return set;
    	} 	
    	
    public String getname(){
    	return name;
    	}
    public void setname(String tempstr){
    	name = tempstr;
    	}
    
    public void setcoord(GECLdatatypes tmpobj)
    {
    	coord_longitude = tmpobj.getlon();
    	coord_latitude = tmpobj.getlat();
    	coord_elev = tmpobj.getelv();
    	}
    
   	public float getlon(){
    	return coord_longitude;
    	}	 	
    	
   	public float getlat(){
    	return coord_latitude;
    	}	 	 	    

    public void setrange(double tempdb)
    {
    	range = tempdb;
    	}
    	
   	public double getrange(){
    	return range;
    	}	 	    	
    	
 	
    public void settilt(float tempnum)
    {
    	tilt = tempnum;
    	}
    	
       	public float gettilt(){
    	return tilt;
    	}	 	    		
    	
     public void setheading(float tempnum)
    {
    	heading = tempnum;
   	}
   	
   		public float getheading(){
    	return heading;
    	}	 	    	
   	
}
